Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.fasterxml.jackson.databind.annotation
Enum JsonSerialize.Typing

    java.lang.Object
      java.lang.Enum<JsonSerialize.Typing>
          com.fasterxml.jackson.databind.annotation.JsonSerialize.Typing

All Implemented Interfaces:
  Serializable, Comparable<JsonSerialize.Typing>

Enclosing class:
  JsonSerialize

    public static enum JsonSerialize.Typing

extends Enum<JsonSerialize.Typing>

Enumeration used with `JsonSerialize.typing()` property to define whether type detection is based on dynamic runtime type (DYNAMIC) or declared type (STATIC).

Enum Constant Summary
`DYNAMIC` Value that indicates that the actual dynamic runtime type is to be used.
`STATIC` Value that indicates that the static declared type is to be used.

Method Summary
`static JsonSerialize.Typing` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JsonSerialize.Typing[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DYNAMIC

    public static final JsonSerialize.Typing DYNAMIC

  Value that indicates that the actual dynamic runtime type is to be used.

### STATIC

    public static final JsonSerialize.Typing STATIC

  Value that indicates that the static declared type is to be used.

Method Detail

### values

    public static JsonSerialize.Typing[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JsonSerialize.Typing c : JsonSerialize.Typing.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JsonSerialize.Typing valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2012 FasterXML. All Rights Reserved.